Trying to get Blox or Browser to run

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Trying to get Blox or Browser to run

dougt
I did a :   git clone git://git.sv.gnu.org/smalltalk.git
Everything compiled fine and make check looked good.

I would like to use Blox or the Browser GUI, but I do not see any documentation on how to do this.
Any suggestions?

I am using Ubuntu 15.10, and the package gnu-smalltalk  appears to be broken, so I cannot run gst-browser.  
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Trying to get Blox or Browser to run

dougt
This post was updated on .
correction: after cleaning up the results of other attempts at installing gnu-smalltalk and browser, the Ubuntu packages gnu-smalltalk and gnu-smalltalk-browser loaded, and the browser started.

I could not get a workspace to start and clicking most icons produced no results.

The Ubuntu package version of gst is 3.2.4 and the git clone version (see other post) is 3.2.59.

So I still need to get a browser working on the git clone 3.2.59 version.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Trying to get Blox or Browser to run

Holger Freyther

> On 28 Mar 2016, at 20:52, dougt <[hidden email]> wrote:


Dear Doug,

> correction: after cleaning up the results of other attempts at installing
> gnu-smalltalk and browser, the Ubuntu packages gnu-smalltalk and
> gnu-smalltalk-browser loaded, and the browser ran ok.
>
> The Ubuntu version of gst  is 3.2.4-2.1.   The version of gst from the git
> clone  (see other post) is 3.2.92.  I am still interested to see how to get
> Blox or Browser to run on this later version.

Blox: We have recently fixed some regressions I had introduced by my >>#initialize changes to Behavior and such.

gst-browser: What is the issue? The blocker for 3.3 is the event-loop integration and potential dead-locks on re-entrancy (Smalltalk -> glib -> Smalltalk) but that is only happening on the debugger.

Does GST find GTK+v2? Does it start? If not what is the output? Which version of Ubuntu are you using?

holger
_______________________________________________
help-smalltalk mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-smalltalk
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Trying to get Blox or Browser to run

dougt
Thanks for the reply.  I edited my second post to say that Ubuntu will download the gnu-smalltalk and gnu-smalltalk-browser packages (It is using the gnu smalltalk 3.2.4-2.1 version).  gst-browser will start, but I can't start a workspace.  The version of Ubuntu is 15.10, which is the latest.

Separately, I downloaded version 3.2.59 from gnu (git clone) and it compiled ok and ran the checks ok.  But I do not know how to get a browser working for this version.

You mentioned version 3.3.  Is it available?
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Trying to get Blox or Browser to run

Holger Freyther

> On 28 Mar 2016, at 22:19, dougt <[hidden email]> wrote:
>
> Thanks for the reply.  I edited my second post to say that Ubuntu will
> download the gnu-smalltalk and gnu-smalltalk-browser packages (It is using
> the gnu smalltalk 3.2.4-2.1 version).  gst-browser will start, but I can't
> start a workspace.  The version of Ubuntu is 15.10, which is the latest.
>
> Separately, I downloaded version 3.2.59 from gnu (git clone) and it compiled
> ok and ran the checks ok.  But I do not know how to get a browser working
> for this version.

$PREFIX/bin/gst-browser should launch it. What happens if you do launch it?



> You mentioned version 3.3.  Is it available?

3.2.9X is available and it will lead to 3.3 but depends on the progress in regard to the gst-browser and the eventloop integration. :)


_______________________________________________
help-smalltalk mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-smalltalk
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Trying to get Blox or Browser to run

dougt
gst -v  yields
GNU Smalltalk version 3.2.92-62dab58

After I did an install I could execute gst-browser.
It came up ok, but I could not open a workspace and could not save an image.
I tried "Implementors of" and it worked ok.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Trying to get Blox or Browser to run

dougt
I can save an image if I run

sudo gst-browser
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Trying to get Blox or Browser to run

dougt
blox appears to work ok.
Loading...